---
title: 'Get minting contracts'
description: 'Get minting contracts'
openapi: GET /api/minting/contracts
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`GET /api/minting/contracts` — query parameters: `websiteId`, `organizationId`, `startingAfter`, `limit`, `showOnMarketplace`, `includeDeleted`

`GET https://admin.snagsolutions.io/api/minting/contracts`

Get minting contracts

## Authentication

No authentication required.

## Query parameters

- `websiteId` (string)
- `organizationId` (string)
- `startingAfter` (string)
- `limit` (integer)
- `showOnMarketplace` (boolean)
- `includeDeleted` (boolean)

## Response 200

200
  - response (object)
    - `data` (array, required)
      - `items` (object)
        - `address` (string, required)
        - `network` (string, required, one of: abstract, abstractTestnet, apechain, arbitrum, avalanche, avalancheFuji, base, baseSepolia, berachain, berachainArtio, berachainBepolia, binance, bscTestnet, campTestnet, fantom, fantomTestnet, flowMainnet, mainnet, nexus, nexusTestnet, optimism, polygon, polygon_mumbai, skaleNebula, skaleEuropa, skaleCalypso, solana, sophon, sophonTestnet, sui, superseed, superseedSepolia, vanar, xai, zksync, coti, cotiTestnet, dogeosTestnet, morph, morphTestnet, morphHolesky, ultra, ultraTestnet, nitrograph, sepolia, optimism_sepolia, arbitrumSepolia, goerli, optimism_goerli, arbitrumGoerli, basecamp, somnia, zkverify, polkadot, kusama, horizen, horizenTestnet, robinhoodChain, robinhoodChainTestnet, flow_cadence)
        - `contractKind` (string, required, one of: ONCHAIN, OFFCHAIN)
        - `description` (string, required)
        - `enableGasless` (boolean, required)
        - `externalLinkUrl` (string, required)
        - `hasRevealMechanic` (boolean, required)
        - `hideInactiveListings` (boolean, required)
        - `id` (string, uuid, required)
        - `imageUrl` (string, required)
        - `isFreeClaimForBadgeHolders` (boolean, required)
        - `isFreeClaimForTokenHolders` (boolean, required)
        - `isListed` (boolean, required)
        - `isPerAssetMintLimit` (boolean, required)
        - `perUserMintLimit` (integer, required)
        - `isSoulbound` (boolean, required)
        - `name` (string, required)
        - `organizationId` (string, uuid, required)
        - `preRevealMedia` (string, required)
        - `primarySaleRecipientAddress` (string, required)
        - `relayerId` (string, uuid, required)
        - `requireHoldingAllGatedItems` (boolean, required)
        - `revealAvailableAt` (string, date-time, required)
        - `royaltyFee` (required)
        - `royaltyFeeAddress` (string, required)
        - `shouldCollectEmail` (boolean, required)
        - `showOnMarketplace` (boolean, required)
        - `sortId` (number, required)
        - `symbol` (string, required)
        - `tokenType` (string, required, one of: erc721, erc1155, erc721c)
        - `websiteId` (string, uuid, required)
        - `mintingContractAssets` (array, required)
          - `items` (object)
            - auctionItems: … (nested further)
            - animationUrl: … (nested further)
            - assetNr: … (nested further)
            - currencyAddress: … (nested further)
            - currencyDecimals: … (nested further)
            - description: … (nested further)
            - id: … (nested further)
            - imageUrl: … (nested further)
            - isListed: … (nested further)
            - isPhygitalItem: … (nested further)
            - isHidden: … (nested further)
            - shouldCollectUserInfo: … (nested further)
            - collectInfoType: … (nested further)
            - listingEndsAt: … (nested further)
            - listingStartsAt: … (nested further)
            - loyaltyCurrencyId: … (nested further)
            - name: … (nested further)
            - organizationId: … (nested further)
            - price: … (nested further)
            - quantity: … (nested further)
            - quantityMinted: … (nested further)
            - unlimitedQty: … (nested further)
            - revealedAt: … (nested further)
            - tokenId: … (nested further)
            - websiteId: … (nested further)
        - `totalAssets` (number, required)
        - `mintingContractBadgeAssociation` (array, required)
          - `items` (object)
            - loyaltyBadge: … (nested further)
        - `mustOwnCollections` (array, required)
          - `items` (object)
            - address: … (nested further)
            - network: … (nested further)
    - `hasNextPage` (boolean, required)
    - `stats` (array, required)
      - `items` (object)
        - `mintingContractId` (string, uuid, required)
        - `_sum` (object, required)
          - `quantity` (number, required)
          - `quantityMinted` (number, required)
        - `_count` (object, required)
          - `isListed` (number, required)

## Response 400

400
  - response (object) — Schema for bad request response
    - `message` (string, required) — Error message


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
